Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.impl

# Class DatabaseParameterBufferImp

java.lang.Object
org.firebirdsql.gds.impl.ParameterBufferBase
org.firebirdsql.gds.impl.DatabaseParameterBufferImp

All Implemented Interfaces:
  `Serializable`, `Iterable<Parameter>`, `ConnectionParameterBuffer`, `DatabaseParameterBuffer`, `ParameterBuffer`

public final class DatabaseParameterBufferImp extends ParameterBufferBase implements DatabaseParameterBuffer
Implementation for DatabaseParameterBuffer.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`DatabaseParameterBufferImp.DpbMetaData`

## Constructor Summary

Constructors
Constructor
Description
`DatabaseParameterBufferImp(DatabaseParameterBufferImp.DpbMetaData dpbMetaData, Encoding defaultEncoding)`

## Method Summary

Modifier and Type
Method
Description
`DatabaseParameterBuffer`
`deepCopy()`
Make a deep copy of this object.
`ParameterTagMapping`
`getTagMapping()`

### Methods inherited from class org.firebirdsql.gds.impl.ParameterBufferBase

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, equals, findFirst, getArgumentAsInt, getArgumentAsString, getArgumentsList, getDefaultEncoding, getLength, getParameterBufferMetaData, getType, hasArgument, hashCode, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ConnectionParameterBuffer

`getDefaultEncoding`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

## Constructor Details

### DatabaseParameterBufferImp

public DatabaseParameterBufferImp(DatabaseParameterBufferImp.DpbMetaData dpbMetaData, Encoding defaultEncoding)

## Method Details

### deepCopy

public DatabaseParameterBuffer deepCopy()
Description copied from interface: `DatabaseParameterBuffer`
Make a deep copy of this object.

Specified by:
  `deepCopy` in interface `DatabaseParameterBuffer`
Returns:
  deep copy of this object.

### getTagMapping

public ParameterTagMapping getTagMapping()

Specified by:
  `getTagMapping` in interface `ConnectionParameterBuffer`
Returns:
  The tag mapping.